% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/varExp.R
\name{checkInput}
\alias{checkInput}
\title{Make sure SNPs in the input file and SNPs included 
in the correlation matrix are the same.}
\usage{
checkInput(df, v)
}
\arguments{
\item{df}{is the meta-analysis results data frame}

\item{v}{is a vector of SNP identifiers}
}
\value{
A data frame only with rows corresponding to SNPs in the vector \code{v}
}
\description{
This step is necessary because some SNPs in the input may be not 
found in the reference panel or excluded from the matrix after the pruning step.
}
\examples{
df <- data.frame(c("rs1", "rs2", "rs3"), rnorm(3))
v <- c("rs1", "rs3")
df2 <- checkInput(df, v)

}
